package com.mdd.admin.validate.user;

import com.mdd.common.validator.annotation.IntegerContains;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

public class UserWalletValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   private @NotNull(
   message = "缺少用户id参数"
) @Min(
   value = 0L,
   message = "用户id必须为数字"
) Integer userId;
   @IntegerContains(
      values = {0, 1},
      message = "变动类型错误"
   )
   private @NotNull(
   message = "请输入变动类型"
) Integer action;
   private @NotNull(
   message = "请输入变动金额"
) BigDecimal amount;
   private String remark;

   public @NotNull(
   message = "缺少用户id参数"
) Integer getUserId() {
      return this.userId;
   }

   public @NotNull(
   message = "请输入变动类型"
) Integer getAction() {
      return this.action;
   }

   public @NotNull(
   message = "请输入变动金额"
) BigDecimal getAmount() {
      return this.amount;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setUserId(@NotNull(
   message = "缺少用户id参数"
) Integer userId) {
      this.userId = userId;
   }

   public void setAction(@NotNull(
   message = "请输入变动类型"
) Integer action) {
      this.action = action;
   }

   public void setAmount(@NotNull(
   message = "请输入变动金额"
) BigDecimal amount) {
      this.amount = amount;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserWalletValidate)) {
         return false;
      } else {
         UserWalletValidate other = (UserWalletValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$userId = this.getUserId();
               Object other$userId = other.getUserId();
               if (this$userId == null) {
                  if (other$userId == null) {
                     break label59;
                  }
               } else if (this$userId.equals(other$userId)) {
                  break label59;
               }

               return false;
            }

            Object this$action = this.getAction();
            Object other$action = other.getAction();
            if (this$action == null) {
               if (other$action != null) {
                  return false;
               }
            } else if (!this$action.equals(other$action)) {
               return false;
            }

            Object this$amount = this.getAmount();
            Object other$amount = other.getAmount();
            if (this$amount == null) {
               if (other$amount != null) {
                  return false;
               }
            } else if (!this$amount.equals(other$amount)) {
               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserWalletValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $action = this.getAction();
      result = result * 59 + ($action == null ? 43 : $action.hashCode());
      Object $amount = this.getAmount();
      result = result * 59 + ($amount == null ? 43 : $amount.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      return result;
   }

   public String toString() {
      return "UserWalletValidate(userId=" + this.getUserId() + ", action=" + this.getAction() + ", amount=" + this.getAmount() + ", remark=" + this.getRemark() + ")";
   }
}
